Subject: Re: [PATCH] powerpc: define empty enable_kernel_vsx() when CONFIG_VSX=n

From: Tim Gardner <[email-masked]>
Date: Tue, 8 Sep 2015 17:19:51 -0600

On 09/08/2015 04:47 PM, Paul Mackerras wrote:
> On Tue, Sep 08, 2015 at 12:13:11PM -0600, [email-masked] wrote:
>> From: Tim Gardner <[email-masked]>
>>
>> commit 72cd7b44bc99 ("powerpc: Uncomment and make enable_kernel_vsx()
>> routine available") neglected to define an empty inline replacement for
>> enable_kernel_vsx() when CONFIG_VSX=n.
> 
> If code that wants to call enable_kernel_vsx() is getting compiled in
> when CONFIG_VSX=n, that's a worry.  Is this patch motivated by an
> actual compile failure?  If so what was the failure?
> 
> Paul.
> 

I was having link failures after backporting 'crypto: nx' patches to a
4.2 based kernel. You may have a point in that the upstream Kconfig will
not allow those files to be compiled if CONFIG_VSX=n. I will check in my
morning if to see if I can reproduce the same link error in mainline.

rtg
-- 
Tim Gardner [email-masked]